<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWPListPOEditView9Base from './emwplist-poedit-view9-base.vue';

import view_form from '@widgets/emwplist/main11-form/main11-form.vue';

/**
 * 采购申请
 *
 * @export
 * @class EMWPListPOEditView9
 * @extends {EMWPListPOEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWPListPOEditView9 extends EMWPListPOEditView9Base { }
</script>